Skip to content
Start here

List devices eligible for remote captures

client.zeroTrust.dex.commands.devices.list(DeviceListParams { account_id, page, per_page, search } params, RequestOptionsoptions?): V4PagePagination<DeviceListResponse { devices } >
GET/accounts/{account_id}/dex/commands/devices

List devices with WARP client support for remote captures which have been connected in the last 1 hour.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare DEX WriteCloudflare DEX ReadZero Trust ReportZero Trust Read
ParametersExpand Collapse
params: DeviceListParams { account_id, page, per_page, search }
account_id: string

Path param: unique identifier linked to an account in the API request path

maxLength32
page: number

Query param: Page number of paginated results

minimum1
per_page: number

Query param: Number of items per page

maximum50
minimum1
ReturnsExpand Collapse
DeviceListResponse { devices }
devices?: Array<Device>

List of eligible devices

deviceId?: string

Device identifier (UUID v4)

deviceName?: string

Device identifier (human readable)

eligible?: boolean

Whether the device is eligible for remote captures

ineligibleReason?: string

If the device is not eligible, the reason why.

personEmail?: string

User contact email address

platform?: string

Operating system

registrationId?: string

Device registration identifier (UUID v4). On multi-user devices, this uniquely identifies a user’s registration on the device.

status?: string

Network status

timestamp?: string

Timestamp in ISO format

version?: string

WARP client version

List devices eligible for remote captures

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const deviceListResponse of client.zeroTrust.dex.commands.devices.list({
  account_id: '01a7362d577a6c3019a474fd6f485823',
  page: 1,
  per_page: 1,
})) {
  console.log(deviceListResponse.devices);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "devices": [
      {
        "deviceId": "deviceId",
        "deviceName": "deviceName",
        "eligible": true,
        "ineligibleReason": "ineligibleReason",
        "personEmail": "personEmail",
        "platform": "windows",
        "registrationId": "registrationId",
        "status": "connected",
        "timestamp": "2023-10-11T00:00:00Z",
        "version": "1.0.0"
      }
    ]
  },
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "devices": [
      {
        "deviceId": "deviceId",
        "deviceName": "deviceName",
        "eligible": true,
        "ineligibleReason": "ineligibleReason",
        "personEmail": "personEmail",
        "platform": "windows",
        "registrationId": "registrationId",
        "status": "connected",
        "timestamp": "2023-10-11T00:00:00Z",
        "version": "1.0.0"
      }
    ]
  },
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}